<?php

/**
 * @file
 * Definition of Drupal\page\Page.
 */

namespace Drupal\page;

use Drupal\Core\Config\Entity\ConfigEntityBase;

/**
 * Defines the page entity.
 */
class Page extends ConfigEntityBase {

  /**
   * The page ID (machine name).
   *
   * @var string
   */
  public $id;

  /**
   * The page UUID.
   *
   * @var string
   */
  public $uuid;

  /**
   * The page label.
   *
   * @var string
   */
  public $label;

  /**
   * Whether to apply the path patterns or exclude them.
   *
   * @var int
   */
  public $visibility;

  /**
   * Path pattern associated with this page.
   *
   * @var string
   */
  public $paths;

  /**
   * Layout machine name associated with this page.
   *
   * @var string
   */
  public $layout;

  /**
   * Page weight to help figure out priority ordering.
   *
   * @var int
   */
  public $weight;

}
